#
#	Script to determine whether a given encoding covers another
#
#	Copyright 1996 Richard J. Kinch
#
#	Use: cover covering-set.cod covered-set.cod
#
if [ $# -ne 2 ]
then
    echo Use: $0 covering-set.cod covered-set.cod 1>&2
    exit
fi
covering=$1
covered=$2
echo Computing whether encoding \"$covering\" covers encoding \"$covered\"
sed '/^#/d
s/^.*[ 	][ 	]*//
/.notdef/d
s/sc$//' < $covering | sort > _1
sed '/^#/d
s/^.*[ 	][ 	]*//
/.notdef/d
s/sc$//' < $covered | sort > _2
comm -13 _1 _2
rm -f _1 _2
