#
#	Map TeX font external name to PostScript Unique ID
#	Adobe has issued codes 5068301--5068800 to Kinch, and
#	Kinch has assigned codes to TeX fonts as below.
#
#	No one else is allowed to use these ID's in any modified fashion.
#
#	Copyright 1993, 1995, 2000 Richard J. Kinch
#	Kinch, March 1993, March 1995, December 2000
#
for f in $*
do
    case "$f" in
	cmb10) echo 5068301 ; continue ;;
	cmbsy10) echo 5068302 ; continue ;;
	cmbsy5) echo 5068303 ; continue ;;
	cmbsy6) echo 5068304 ; continue ;;
	cmbsy7) echo 5068305 ; continue ;;
	cmbsy8) echo 5068306 ; continue ;;
	cmbsy9) echo 5068307 ; continue ;;
	cmbx10) echo 5068308 ; continue ;;
	cmbx12) echo 5068309 ; continue ;;
	cmbx5) echo 5068310 ; continue ;;
	cmbx6) echo 5068311 ; continue ;;
	cmbx7) echo 5068312 ; continue ;;
	cmbx8) echo 5068313 ; continue ;;
	cmbx9) echo 5068314 ; continue ;;
	cmbxsl10) echo 5068315 ; continue ;;
	cmbxti10) echo 5068316 ; continue ;;
	cmcsc10) echo 5068317 ; continue ;;
	cmcsc8) echo 5068318 ; continue ;;
	cmcsc9) echo 5068319 ; continue ;;
	cmdunh10) echo 5068320 ; continue ;;
	cmex10) echo 5068321 ; continue ;;
	cmex7) echo 5068322 ; continue ;;
	cmex8) echo 5068323 ; continue ;;
	cmex9) echo 5068324 ; continue ;;
	cmff10) echo 5068325 ; continue ;;
	cmfi10) echo 5068326 ; continue ;;
	cmfib8) echo 5068327 ; continue ;;
	cminch) echo 5068328 ; continue ;;
	cmitt10) echo 5068329 ; continue ;;
	cmmi10) echo 5068330 ; continue ;;
	cmmi12) echo 5068331 ; continue ;;
	cmmi5) echo 5068332 ; continue ;;
	cmmi6) echo 5068333 ; continue ;;
	cmmi7) echo 5068334 ; continue ;;
	cmmi8) echo 5068335 ; continue ;;
	cmmi9) echo 5068336 ; continue ;;
	cmmib10) echo 5068337 ; continue ;;
	cmmib5) echo 5068338 ; continue ;;
	cmmib6) echo 5068339 ; continue ;;
	cmmib7) echo 5068340 ; continue ;;
	cmmib8) echo 5068341 ; continue ;;
	cmmib9) echo 5068342 ; continue ;;
	cmr10) echo 5068343 ; continue ;;
	cmr12) echo 5068344 ; continue ;;
	cmr17) echo 5068345 ; continue ;;
	cmr5) echo 5068346 ; continue ;;
	cmr6) echo 5068347 ; continue ;;
	cmr7) echo 5068348 ; continue ;;
	cmr8) echo 5068349 ; continue ;;
	cmr9) echo 5068350 ; continue ;;
	cmsl10) echo 5068351 ; continue ;;
	cmsl12) echo 5068352 ; continue ;;
	cmsl8) echo 5068353 ; continue ;;
	cmsl9) echo 5068354 ; continue ;;
	cmsltt10) echo 5068355 ; continue ;;
	cmss10) echo 5068356 ; continue ;;
	cmss12) echo 5068357 ; continue ;;
	cmss17) echo 5068358 ; continue ;;
	cmss8) echo 5068359 ; continue ;;
	cmss9) echo 5068360 ; continue ;;
	cmssbx10) echo 5068361 ; continue ;;
	cmssdc10) echo 5068362 ; continue ;;
	cmssi10) echo 5068363 ; continue ;;
	cmssi12) echo 5068364 ; continue ;;
	cmssi17) echo 5068365 ; continue ;;
	cmssi8) echo 5068366 ; continue ;;
	cmssi9) echo 5068367 ; continue ;;
	cmssq8) echo 5068368 ; continue ;;
	cmssqi8) echo 5068369 ; continue ;;
	cmsy10) echo 5068370 ; continue ;;
	cmsy5) echo 5068371 ; continue ;;
	cmsy6) echo 5068372 ; continue ;;
	cmsy7) echo 5068373 ; continue ;;
	cmsy8) echo 5068374 ; continue ;;
	cmsy9) echo 5068375 ; continue ;;
	cmtcsc10) echo 5068376 ; continue ;;
	cmtex10) echo 5068377 ; continue ;;
	cmtex8) echo 5068378 ; continue ;;
	cmtex9) echo 5068379 ; continue ;;
	cmti10) echo 5068380 ; continue ;;
	cmti12) echo 5068381 ; continue ;;
	cmti7) echo 5068382 ; continue ;;
	cmti8) echo 5068383 ; continue ;;
	cmti9) echo 5068384 ; continue ;;
	cmtt10) echo 5068385 ; continue ;;
	cmtt12) echo 5068386 ; continue ;;
	cmtt8) echo 5068387 ; continue ;;
	cmtt9) echo 5068388 ; continue ;;
	cmu10) echo 5068389 ; continue ;;
	cmvtt10) echo 5068390 ; continue ;;
	lasy10) echo 5068391 ; continue ;;
	lasy5) echo 5068392 ; continue ;;
	lasy6) echo 5068393 ; continue ;;
	lasy7) echo 5068394 ; continue ;;
	lasy8) echo 5068395 ; continue ;;
	lasy9) echo 5068396 ; continue ;;
	lasyb10) echo 5068397 ; continue ;;
	lcircle1) echo 5068398 ; continue ;;
	lcircle10) echo 5068398 ; continue ;;
	lcirclew) echo 5068399 ; continue ;;
	lcirclew10) echo 5068399 ; continue ;;
	line10) echo 5068400 ; continue ;;
	linew10) echo 5068401 ; continue ;;
	logo10) echo 5068402 ; continue ;;
	logo8) echo 5068403 ; continue ;;
	logo9) echo 5068404 ; continue ;;
	logobf10) echo 5068405 ; continue ;;
	logosl10) echo 5068406 ; continue ;;
	euex10) echo 5068407 ; continue ;;
	eufb10) echo 5068408 ; continue ;;
	eufb5) echo 5068409 ; continue ;;
	eufb7) echo 5068410 ; continue ;;
	eufm10) echo 5068411 ; continue ;;
	eufm5) echo 5068412 ; continue ;;
	eufm7) echo 5068413 ; continue ;;
	eurb10) echo 5068414 ; continue ;;
	eurb5) echo 5068415 ; continue ;;
	eurb7) echo 5068416 ; continue ;;
	eurm10) echo 5068417 ; continue ;;
	eurm5) echo 5068418 ; continue ;;
	eurm7) echo 5068419 ; continue ;;
	eusb10) echo 5068420 ; continue ;;
	eusb5) echo 5068421 ; continue ;;
	eusb7) echo 5068422 ; continue ;;
	eusm10) echo 5068423 ; continue ;;
	eusm5) echo 5068424 ; continue ;;
	eusm7) echo 5068425 ; continue ;;
	msam10) echo 5068426 ; continue ;;
	msbm10) echo 5068427 ; continue ;;
	dcb10) echo 5068428 ; continue ;;
	dcb12) echo 5068429 ; continue ;;
	dcb17) echo 5068430 ; continue ;;
	dcb5) echo 5068431 ; continue ;;
	dcb6) echo 5068432 ; continue ;;
	dcb7) echo 5068433 ; continue ;;
	dcb8) echo 5068434 ; continue ;;
	dcb9) echo 5068435 ; continue ;;
	dcbx10) echo 5068436 ; continue ;;
	dcbx12) echo 5068437 ; continue ;;
	dcbx5) echo 5068438 ; continue ;;
	dcbx6) echo 5068439 ; continue ;;
	dcbx7) echo 5068440 ; continue ;;
	dcbx8) echo 5068441 ; continue ;;
	dcbx9) echo 5068442 ; continue ;;
	dcbxsl10) echo 5068443 ; continue ;;
	dcbxsl12) echo 5068444 ; continue ;;
	dcbxsl5) echo 5068445 ; continue ;;
	dcbxsl6) echo 5068446 ; continue ;;
	dcbxsl7) echo 5068447 ; continue ;;
	dcbxsl8) echo 5068448 ; continue ;;
	dcbxsl9) echo 5068449 ; continue ;;
	dcbxti10) echo 5068450 ; continue ;;
	dcbxti12) echo 5068451 ; continue ;;
	dcbxti17) echo 5068452 ; continue ;;
	dccsc10) echo 5068453 ; continue ;;
	dccsc12) echo 5068454 ; continue ;;
	dccsc17) echo 5068455 ; continue ;;
	dcdunh10) echo 5068456 ; continue ;;
	dcdunh12) echo 5068457 ; continue ;;
	dcdunh17) echo 5068458 ; continue ;;
	dcdunh5) echo 5068459 ; continue ;;
	dcdunh6) echo 5068460 ; continue ;;
	dcdunh7) echo 5068461 ; continue ;;
	dcdunh8) echo 5068462 ; continue ;;
	dcdunh9) echo 5068463 ; continue ;;
	dcff10) echo 5068464 ; continue ;;
	dcfi10) echo 5068465 ; continue ;;
	dcfib10) echo 5068466 ; continue ;;
	dcfib12) echo 5068467 ; continue ;;
	dcfib8) echo 5068468 ; continue ;;
	dcfib9) echo 5068469 ; continue ;;
	dcitt10) echo 5068470 ; continue ;;
	dcitt12) echo 5068471 ; continue ;;
	dcitt17) echo 5068472 ; continue ;;
	dcitt8) echo 5068473 ; continue ;;
	dcitt9) echo 5068474 ; continue ;;
	dcr10) echo 5068475 ; continue ;;
	dcr12) echo 5068476 ; continue ;;
	dcr17) echo 5068477 ; continue ;;
	dcr5) echo 5068478 ; continue ;;
	dcr6) echo 5068479 ; continue ;;
	dcr7) echo 5068480 ; continue ;;
	dcr8) echo 5068481 ; continue ;;
	dcr9) echo 5068482 ; continue ;;
	dcsl10) echo 5068483 ; continue ;;
	dcsl12) echo 5068484 ; continue ;;
	dcsl17) echo 5068485 ; continue ;;
	dcsl5) echo 5068486 ; continue ;;
	dcsl6) echo 5068487 ; continue ;;
	dcsl7) echo 5068488 ; continue ;;
	dcsl8) echo 5068489 ; continue ;;
	dcsl9) echo 5068490 ; continue ;;
	dcsltt10) echo 5068491 ; continue ;;
	dcsltt12) echo 5068492 ; continue ;;
	dcsltt8) echo 5068493 ; continue ;;
	dcsltt9) echo 5068494 ; continue ;;
	dcss10) echo 5068495 ; continue ;;
	dcss12) echo 5068496 ; continue ;;
	dcss17) echo 5068497 ; continue ;;
	dcss8) echo 5068498 ; continue ;;
	dcss9) echo 5068499 ; continue ;;
	dcssbx10) echo 5068500 ; continue ;;
	dcssbx12) echo 5068501 ; continue ;;
	dcssbx17) echo 5068502 ; continue ;;
	dcssbx9) echo 5068503 ; continue ;;
	dcssdc10) echo 5068504 ; continue ;;
	dcssi10) echo 5068505 ; continue ;;
	dcssi12) echo 5068506 ; continue ;;
	dcssi17) echo 5068507 ; continue ;;
	dcssi8) echo 5068508 ; continue ;;
	dcssi9) echo 5068509 ; continue ;;
	dctcsc10) echo 5068510 ; continue ;;
	dctcsc12) echo 5068511 ; continue ;;
	dctcsc17) echo 5068512 ; continue ;;
	dcti10) echo 5068513 ; continue ;;
	dcti12) echo 5068514 ; continue ;;
	dcti17) echo 5068515 ; continue ;;
	dcti7) echo 5068516 ; continue ;;
	dcti8) echo 5068517 ; continue ;;
	dcti9) echo 5068518 ; continue ;;
	dctt10) echo 5068519 ; continue ;;
	dctt12) echo 5068520 ; continue ;;
	dctt8) echo 5068521 ; continue ;;
	dctt9) echo 5068522 ; continue ;;
	dcu10) echo 5068523 ; continue ;;
	dcu12) echo 5068524 ; continue ;;
	dcu17) echo 5068525 ; continue ;;
	dcu7) echo 5068526 ; continue ;;
	dcu8) echo 5068527 ; continue ;;
	dcu9) echo 5068528 ; continue ;;
	dcvtt10) echo 5068529 ; continue ;;
	dcvtt12) echo 5068530 ; continue ;;
	dcvtt8) echo 5068531 ; continue ;;
	dcvtt9) echo 5068532 ; continue ;;
	cmcyr5) echo 5068533 ; continue ;;
	cmcyr6) echo 5068534 ; continue ;;
	cmcyr7) echo 5068535 ; continue ;;
	cmcyr8) echo 5068536 ; continue ;;
	cmcyr9) echo 5068537 ; continue ;;
	cmcyr10) echo 5068538 ; continue ;;
	cmcyr12) echo 5068539 ; continue ;;
	cmcyr17) echo 5068540 ; continue ;;
	manfnt) echo 5068541 ; continue ;;
	cmmr10) echo 0 ; continue ;;
	cmmb10) echo 0 ; continue ;;
	euex10) echo 5068542 ; continue ;;
	euex7) echo 5068543 ; continue ;;
	euex8) echo 5068544 ; continue ;;
	euex9) echo 5068545 ; continue ;;
	eufb10) echo 5068546 ; continue ;;
	eufb5) echo 5068547 ; continue ;;
	eufb6) echo 5068548 ; continue ;;
	eufb7) echo 5068549 ; continue ;;
	eufb8) echo 5068550 ; continue ;;
	eufb9) echo 5068551 ; continue ;;
	eufm10) echo 5068552 ; continue ;;
	eufm5) echo 5068553 ; continue ;;
	eufm6) echo 5068554 ; continue ;;
	eufm7) echo 5068555 ; continue ;;
	eufm8) echo 5068556 ; continue ;;
	eufm9) echo 5068557 ; continue ;;
	eurb10) echo 5068558 ; continue ;;
	eurb5) echo 5068559 ; continue ;;
	eurb6) echo 5068560 ; continue ;;
	eurb7) echo 5068561 ; continue ;;
	eurb8) echo 5068562 ; continue ;;
	eurb9) echo 5068563 ; continue ;;
	eurm10) echo 5068564 ; continue ;;
	eurm5) echo 5068565 ; continue ;;
	eurm6) echo 5068566 ; continue ;;
	eurm7) echo 5068567 ; continue ;;
	eurm8) echo 5068568 ; continue ;;
	eurm9) echo 5068569 ; continue ;;
	eusb10) echo 5068570 ; continue ;;
	eusb5) echo 5068571 ; continue ;;
	eusb6) echo 5068572 ; continue ;;
	eusb7) echo 5068573 ; continue ;;
	eusb8) echo 5068574 ; continue ;;
	eusb9) echo 5068575 ; continue ;;
	eusm10) echo 5068576 ; continue ;;
	eusm5) echo 5068577 ; continue ;;
	eusm6) echo 5068578 ; continue ;;
	eusm7) echo 5068579 ; continue ;;
	eusm8) echo 5068580 ; continue ;;
	eusm9) echo 5068581 ; continue ;;
	blsy) echo 5068582 ; continue ;;
	blex) echo 5068583 ; continue ;;
	rblmi) echo 5068584 ; continue ;;
	musix16) echo 5068585 ; continue ;;
	lams1) echo 5068586 ; continue ;;
	lams2) echo 5068587 ; continue ;;
	lams3) echo 5068588 ; continue ;;
	lams4) echo 5068589 ; continue ;;
	lams5) echo 5068590 ; continue ;;
	lcmss8) echo 5068591 ; continue ;;
	lcmssb8) echo 5068592 ; continue ;;
	lcmssi8) echo 5068593 ; continue ;;
	umb10) echo 5068594 ; continue ;;
	umbx10) echo 5068595 ; continue ;;
	umbxsl10) echo 5068596 ; continue ;;
	umbxti10) echo 5068597 ; continue ;;
	umitt10) echo 5068598 ; continue ;;
	umr10) echo 5068599 ; continue ;;
	umsltt10) echo 5068600 ; continue ;;
	umti10) echo 5068601 ; continue ;;
	umtt10) echo 5068602 ; continue ;;
	kinch) echo 5068603 ; continue ;;
	*) echo 0 ; continue ;;
    esac
done
