#
#	Expand factored lists of glyph names, i.e.
#	[abc...]blatz to ablatz, bblatz, cblatz, ...
#	and
#	a--z to a, b, ..., z
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, March 1995
#
BEGIN	{
	digit[0] = "zero"
	digit[1] = "one"
	digit[2] = "two"
	digit[3] = "three"
	digit[4] = "four"
	digit[5] = "five"
	digit[6] = "six"
	digit[7] = "seven"
	digit[8] = "eight"
	digit[9] = "nine"
	}
/--/	{
	if ($0=="a--z") for (i=0; i<26; i++) printf "%c\n", i+97
	else if ($0=="A--Z") for (i=0; i<26; i++) printf "%c\n", i+65
	else if ($0=="zero--nine") for (i=0; i<10; i++) printf "%s\n", digit[i]
	next
	}
/^\[/	{
	accent = substr($0,index($0,"]")+1)
	set = substr($0,2,index($0,"]")-2)
	while (set!="") {
	    printf "%s%s\n", substr(set,1,1), accent
	    set = substr(set,2)
	    }
	next
	}
/^[A-Za-z]/ { print ; next }
	{ next }
