#
#	Map TeX caps-and-small-caps font name to approximate small-caps
#	scaling, which we intuit with the proportion of cap_height and
#	lower.cap_height in the driver files.
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, March 1995
#
for f in $*
do
    font=
    factor=
    grep "^$f " << EOF | read font factor
cmcsc10 0.752
cmcsc8 0.741
cmcsc9 0.77
cmtcsc10 0.773
dccsc10 0.752
dccsc12 0.793
dccsc17 0.856
dctcsc10 0.747
dctcsc12 0.773
dctcsc17 0.811
EOF
    if [ "$factor" = "" ]
    then
	echo $0: Font name \"$f\" not known to be caps-and-small-caps 1>&2
    else
	echo $factor
    fi
done
